Bug 44732 - dia SRPM needs build dependency on libxml-devel
dia SRPM needs build dependency on libxml-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dia (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 15:34 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 09:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-15 15:34:27 EDT
Description of Problem: with the 7.1 product, you cannot build the dia SRPM
without having libxml-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/dia*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
libxml-devel rpm, the dia SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e libxml-devel
 2. rpm -Uvh <tree-path>/SRPMS/dia*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/dia*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/libxml-devel*
 5. rpm -ba /usr/src/redhat/SPECS/dia*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the dia SRPM cannot be built without installing the
libxml-devel RPM.

Additional Information:
Comment 1 Havoc Pennington 2001-06-15 15:57:05 EDT
Added some BuildRequires in rawhide
Comment 2 Glen Foster 2001-07-19 09:53:16 EDT
Sorry, I tested this incompletely last time and I have discovered more missing
build-dependencies.  In addition to the current set of build-dependencies, the
dia SRPM also needs dependencies for:

	gdk-pixbuf-devel
	gnome-libs-devel

This defect should be fixed before the next release, and preferably before the
next public beta.
Comment 3 Havoc Pennington 2001-07-19 15:02:12 EDT
Dia 0.88.1-3 has these new requirements

Note You need to log in before you can comment on or make changes to this bug.